For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETList tokens
        • POSTCreate token
        • DELRevoke token
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceToken

List tokens

GET
https://api.testnet.paradex.trade/v1/account/tokens
GET
/v1/account/tokens
$curl https://api.testnet.paradex.trade/v1/account/tokens \
> -H "Authorization: <apiKey>"
1{
2 "results": [
3 {
4 "created_at": 1640995200,
5 "expiry_at": 1672531200,
6 "kind": "string",
7 "last_updated_at": 1640995200,
8 "lookup_id": "uuid-123",
9 "name": "My API Token",
10 "revoked_at": 0,
11 "token_id": "token_123"
12 }
13 ]
14}
Get all tokens for the authenticated account with optional filtering by kind and status.
Was this page helpful?
Previous

Create token

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

kindstringOptional

Filter by token kind (e.g., ‘jwt’, ‘api_key’)

with_invalidbooleanOptional
Include revoked and expired tokens

Response

List of tokens
resultslist of objects
Array of results

Errors

401
Unauthorized Error